Leap years are not supported in date plugin for order list
02/29/2024 03:00 PM - Zhongbao Ye

Status: oo0 Start date: 02/29/2024
Priority: aa Due date: 02/29/2024
Assignee: Zhongbao Ye % Done: 100%
Category: Estimated time: 2.00 hours
Target version: v3.0 Spent time: 2.00 hours
* Report and Solution
History

#1 - 02/29/2024 03:12 PM - Zhongbao Ye
- % Done changed from 0 to 100

Output(2024/02/29) 1 1

e Reason: Hard coding is used when calculating the last day of each month. The last day of February is always the 28th.
¢ Solution: 2024/02/29 15:00
Modify the algorithm in date to support leap year display
Old: last_day = [31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31][(new Date).getMonth()]
New: last_day = (0 (new Date).getFullYear() % 4 && 0 != (new Date).getFullYear() % 100 || 0 (new Date).getFullYear() % 400) && 1 == (new
Date).getMonth() ? "29" : [31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31][(new Date).getMonth()]
#2 - 02/29/2024 03:42 PM - Zhongbao Ye
- Status changed from 000 to0010

#3 - 10/08/2024 10:57 AM - Xihua Fan

- Target version set to v3.0
